package com.ssj.bean.weixin.push.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/** 
 * @author  ZhangCaibao 
 * @version 2017年9月12日14:51:38
 * 类说明  定时推送
 */
@Entity
@Table(name = "tb_push_template")
public class PushTemplate extends BaseEntity {

	private static final long serialVersionUID = -6611940103660476440L;

	//推送内容      data部分
	private String content;
	
	//推送 openid
	private String openid;
	
	//微信模板短id,如:TM00001
	private String wxTplSid;
	
	//推送消息跳转url
	private String clickUrl;

	//推送消息顶部颜色
	private String topColor;
	
	//推送次数
	private Integer total;
	
	//当前推送次数
	private Integer curTotal;
	
	//重推间隔，分钟为单位
	private Integer interVal;
	
	//是否推送成功，0：是；1：否
	private Integer isSuccess;
	
	//成功推送时间
	private Date successTime;
	
	//第几次重试   最多重试6次,大于6不再进行推送，查找失败原因
	private Integer tryTime;
	
	//生成时间
	private Date createTime;

	//1有效，2无效
	private Integer stat;
	
	
	private String remark;
	
	//跳小程序所需数据，不需跳小程序可不用传该数据
	private String miniprogram;
	
	
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public String getWxTplSid() {
		return wxTplSid;
	}
	public void setWxTplSid(String wxTplSid) {
		this.wxTplSid = wxTplSid;
	}
	public String getClickUrl() {
		return clickUrl;
	}
	public void setClickUrl(String clickUrl) {
		this.clickUrl = clickUrl;
	}
	public String getTopColor() {
		return topColor;
	}
	public void setTopColor(String topColor) {
		this.topColor = topColor;
	}
	public Integer getTotal() {
		return total;
	}
	public void setTotal(Integer total) {
		this.total = total;
	}

	public Integer getInterVal() {
		return interVal;
	}
	public void setInterVal(Integer interVal) {
		this.interVal = interVal;
	}
	public Integer getIsSuccess() {
		return isSuccess;
	}
	public void setIsSuccess(Integer isSuccess) {
		this.isSuccess = isSuccess;
	}
	public Date getSuccessTime() {
		return successTime;
	}
	public void setSuccessTime(Date successTime) {
		this.successTime = successTime;
	}
	public Integer getTryTime() {
		return tryTime;
	}
	public void setTryTime(Integer tryTime) {
		this.tryTime = tryTime;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public Integer getCurTotal() {
		return curTotal;
	}
	public void setCurTotal(Integer curTotal) {
		this.curTotal = curTotal;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getMiniprogram() {
		return miniprogram;
	}
	public void setMiniprogram(String miniprogram) {
		this.miniprogram = miniprogram;
	}
	
}
